EvStat::__construct
EvStat::prev
EvStat
PHP Manual

# EvStat::createStopped

Create a stopped EvStat watcher object

### Description

final public static void EvStat::createStopped ( string `$path` , double `$interval` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Creates EvStat watcher object, but doesn't start it automatically(unlike EvStat::__construct ).

### Parameters

`path`

  The path to wait for status changes on.

`interval`

  Hint on how quickly a change is expected to be detected and should normally be specified as `0.0` to let libev choose a suitable value.

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns a stopped EvStat watcher object on success.

### See Also

- EvStat::__construct
- EvWatcher::start